Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Class DOCRenderContext

    java.lang.Object
      org.eclipse.birt.report.engine.api.DOCRenderContext

    public class DOCRenderContext

extends java.lang.Object

Field Summary
`protected java.lang.String` | `baseURL` base URL used for action handler
`protected java.lang.String` | `fontDirectory` user-defined font dirctory
`protected boolean` | `isEmbededFont`
`protected java.lang.String` | `supportedImageFormats` the image formats supported by the browser

Constructor Summary
`DOCRenderContext()` dummy constrictor

Method Summary
`java.lang.String` | `getBaseURL()` Returns the base URL for creating an Action URL
`java.lang.String` | `getFontDirectory()`
`java.lang.String` | `getSupportedImageFormats()`
`boolean` | `isEmbededFont()`
`void` | `setBaseURL(java.lang.String baseURL)` sets the base url for action handling
`void` | `setEmbededFont(boolean isEmbededFont)`
`void` | `setFontDirectory(java.lang.String fontDirectory)`
`void` | `setSupportedImageFormats(java.lang.String formats)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### baseURL

    protected java.lang.String baseURL

  base URL used for action handler

### isEmbededFont

    protected boolean isEmbededFont

### supportedImageFormats

    protected java.lang.String supportedImageFormats

  the image formats supported by the browser

### fontDirectory

    protected java.lang.String fontDirectory

  user-defined font dirctory

Constructor Detail

### DOCRenderContext

    public DOCRenderContext()

  dummy constrictor

Method Detail

### getBaseURL

    public java.lang.String getBaseURL()

  Returns the base URL for creating an Action URL

  Returns:
    the baseURL.

### setBaseURL

    public void setBaseURL(java.lang.String baseURL)

  sets the base url for action handling

  Parameters:
    `baseURL` - sets the base URL used for action handling

### setSupportedImageFormats

    public void setSupportedImageFormats(java.lang.String formats)

  Parameters:
    `formats` - - the image format supported by the browser

### getSupportedImageFormats

    public java.lang.String getSupportedImageFormats()

  Returns:
    the image format supported by the browser

### setEmbededFont

    public void setEmbededFont(boolean isEmbededFont)

### isEmbededFont

    public boolean isEmbededFont()

  Returns:
    if font is embeded

### getFontDirectory

    public java.lang.String getFontDirectory()

  Returns:
    the user-defined font directory

### setFontDirectory

    public void setFontDirectory(java.lang.String fontDirectory)

  Parameters:
    `fontDirectory` - the user-defined font directory

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.